{-# OPTIONS_GHC -fglasgow-exts -fallow-undecidable-instances -fallow-overlapping-instances #-}
-----------------------------------------------------------------------------
-- |
-- Module      :  Network.CGI.Undecidable
-- Copyright   :  (c) Bjorn Bringert 2005-2007, (c) Ian Lynagh 2005
-- License     :  BSD-style
--
-- Maintainer  :  bjorn@bringert.net
-- Stability   :  experimental
-- Portability :  non-portable
--
-- Scary but useful type class instances for the cgi package.
--
-----------------------------------------------------------------------------

module Network.CGI.Undecidable where

import Control.Monad.Trans (MonadTrans, lift)

import Network.CGI.Monad

-- requires -fallow-undecidable-instances and -fallow-overlapping-instances
instance (MonadTrans t, MonadCGI m, Monad (t m)) => MonadCGI (t m) where
    cgiAddHeader n v = lift $ cgiAddHeader n v
    cgiGet = lift . cgiGet
